Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 38476 - MPlayer Alsa patch for dmix
Summary: MPlayer Alsa patch for dmix
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High enhancement (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-16 18:39 UTC by cyrix12
Modified: 2004-06-25 22:36 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cyrix12 2004-01-16 18:39:34 UTC
on line 620 of libao2/ao_alsa9.c:

-if ((err = snd_pcm_hw_params_set_period_size(alsa_handler,alsa_hwparams, chunk_size, 0)) < 0)
+if ((err = snd_pcm_hw_params_set_period_size_near(alsa_handler,alsa_hwparams, chunk_size, 0)) < 0)

This fixes the periodsize error.
Comment 1 SpanKY gentoo-dev 2004-01-18 02:04:49 UTC
what version of mplayer is this for ?
Comment 2 butters 2004-01-18 18:28:00 UTC
Look at http://forums.gentoo.org/viewtopic.php?t=124976 for info about this bug
Comment 3 Brian Harring gentoo-dev 2004-02-12 15:58:48 UTC
Bouncing this to media-video, since it's their package.
Comment 4 Chris White (RETIRED) gentoo-dev 2004-06-24 14:20:23 UTC
Re: Comment #2

According to the forum post, it was fixed in a non-mplayer based post.  Is this still a bug, if not, can you close it?
Comment 5 cyrix12 2004-06-25 22:36:35 UTC
Works now.